summaryrefslogtreecommitdiffstats
path: root/deps/cmake/cmake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xdeps/cmake/cmake.SlackBuild (renamed from deps/gst1-plugins-good/gst1-plugins-good.SlackBuild)98
1 files changed, 43 insertions, 55 deletions
diff --git a/deps/gst1-plugins-good/gst1-plugins-good.SlackBuild b/deps/cmake/cmake.SlackBuild
index ef4d518..6150598 100755
--- a/deps/gst1-plugins-good/gst1-plugins-good.SlackBuild
+++ b/deps/cmake/cmake.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/sh
-# Copyright 2014 Eric Hameleers, Eindhoven, NL
-# Copyright 2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -10,7 +9,7 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
@@ -21,49 +20,32 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=gst1-plugins-good
-SRCNAM=gst-plugins-good
-VERSION=${VERSION:-1.4.4}
+PKGNAM=cmake
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
- case "$(uname -m)" in
- i?86) ARCH=i486 ;;
- arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) ARCH=$(uname -m) ;;
+ *) export ARCH=$( uname -m ) ;;
esac
- export ARCH
fi
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- SLKLDFLAGS=""
- LIBDIRSUFFIX=""
+ SLKCFLAGS="-O2 -m32 -march=i486 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
- SLKLDFLAGS=""
- LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- SLKLDFLAGS=""
- LIBDIRSUFFIX=""
else
SLKCFLAGS="-O2"
- SLKLDFLAGS=""
- LIBDIRSUFFIX=""
fi
-case "$ARCH" in
- arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
- *) TARGET=$ARCH-slackware-linux ;;
-esac
-
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -72,11 +54,10 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.xz || exit 1
-cd $SRCNAM-$VERSION || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
-# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -84,26 +65,38 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Configure:
+mkdir cmake-build
+cd cmake-build
+../bootstrap \
+ --prefix=/usr \
+ --docdir=/doc/$PKGNAM-$VERSION \
+ --qt-gui \
+ --system-libs
+
+# Build
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-LDFLAGS="$SLKLDFLAGS" \
-./configure \
+ ../configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PKGNAM-$VERSION \
- --build=$TARGET
-
-# Build and install:
-make || exit 1
+ --docdir=/doc/$PKGNAM-$VERSION \
+ --qt-gui \
+ --system-libs \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# Strip binaries:
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ../ChangeLog.txt ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ../ChangeLog.txt | head -n 1000 > $DOCSDIR/ChangeLog.txt
+ touch -r ../ChangeLog.txt $DOCSDIR/ChangeLog.txt
+fi
+
+# How many redundant docs do we need?
+# If you really require the docbook, it is in the source.
+rm -f $PKG/usr/doc/$PKGNAM-$VERSION/*.docbook
# Compress and link manpages, if any:
if [ -d $PKG/usr/man ]; then
@@ -120,17 +113,12 @@ if [ -d $PKG/usr/man ]; then
)
fi
-# Add documentation:
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
- AUTHORS COPYING* ChangeLog INSTALL NEWS RE* \
- $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Add a description:
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Create the package:
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz